Update
curl --request PATCH \
--url https://api.korve.dev/v1/orgs/{orgId}/projects/{projectId}/ai-gateways/{gatewayId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"allowedModels": [],
"monthlyBudgetUsd": 50000.5,
"timeoutMs": 60500,
"maxRetries": 1,
"redactPrompts": true
}
'import requests
url = "https://api.korve.dev/v1/orgs/{orgId}/projects/{projectId}/ai-gateways/{gatewayId}"
payload = {
"name": "<string>",
"allowedModels": [],
"monthlyBudgetUsd": 50000.5,
"timeoutMs": 60500,
"maxRetries": 1,
"redactPrompts": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
allowedModels: [],
monthlyBudgetUsd: 50000.5,
timeoutMs: 60500,
maxRetries: 1,
redactPrompts: true
})
};
fetch('https://api.korve.dev/v1/orgs/{orgId}/projects/{projectId}/ai-gateways/{gatewayId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"environment": "<string>",
"allowedModels": [
"korve/fast"
],
"monthlyBudgetUsd": 123,
"timeoutMs": 123,
"maxRetries": 123,
"redactPrompts": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}aiGateways
Update
Update model allowlists, budget, timeout, retry, and prompt-retention policy.
PATCH
/
v1
/
orgs
/
{orgId}
/
projects
/
{projectId}
/
ai-gateways
/
{gatewayId}
Update
Authorizations
apiKeysession
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The organization's id (UUID) or slug — either form is accepted.
The project's id (UUID) or slug — either form is accepted.
Body
application/json
Pattern:
^[a-z][a-z0-9-]{1,61}$Required array length:
1 - 3 elementsAvailable options:
korve/fast, korve/balanced, korve/reasoning Required range:
1 <= x <= 100000Required range:
1000 <= x <= 120000Required range:
0 <= x <= 3Response
Updated AI gateway.
Available options:
korve/fast, korve/balanced, korve/reasoning